BiblioScope (BioJava-1.5-beta API)
Keywords: org.biojava.bibliography.BiblioScope class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bibliography
Class BiblioScope

    java.lang.Object
      org.biojava.bibliography.BiblioScope

    public class BiblioScope

extends Object

It represent an extent or scope of the content of the cited resource. It can include spatial location (a place name or geographic co-ordinates), temporal period (a period label, date, or date range), or both. Finally, it can have additional dynamic properties such as jurisdiction.

Since:
  1.3
Version:
  $Id: BiblioScope.java,v 1.4 2003/07/16 16:01:10 mrp Exp $
Author:
  Martin Senger

Field Summary
`Hashtable` | `properties` It may contain additional properties related to the extend or scope of the cited resource.
`String` | `spatialLocation` It defines a spatial location of the cited resource.
`String` | `temporalPeriod` It defines temporal period of the cited resource.

Constructor Summary
`BiblioScope()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    public Hashtable properties

  It may contain additional properties related to the extend or scope of the cited resource. For example:

          jurisdiction => government

  As with all properties, it is recommended to use a controlled vocabulary. Such vocabulary should be named `BibRefSupport.ATTR_SCOPE`.

### spatialLocation

    public String spatialLocation

  It defines a spatial location of the cited resource.

  This specification does not suggest any rules for representing geographical names but implementations may consider Getty Thesaurus of Geographic Names, or MARC lists of countries and MARC list of geographical areas.

### temporalPeriod

    public String temporalPeriod

  It defines temporal period of the cited resource. It may be a period label, date, or date range.

Constructor Detail

### BiblioScope

    public BiblioScope()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD